Installation of Argos on Ubuntu-WSL

Requests regarding how to set up experiments in ARGoS.
lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Installation of Argos on Ubuntu-WSL

Postby lomak » Tue Jun 15, 2021 2:53 pm

Hello,
I'm new in computing. My PC is a Windows SE. I have installed WSL2 and Ubuntu 20.04 as recommended on your page. But i've some issue with the installation of Argos:
M@LAPTOP:~$ sudo apt install ./argos3_simualator-3.0.0-x86_64-beta59.deb
[sudo] password for M:
Reading package lists... Done
E: Unsupported file ./argos3_simualator-3.0.0-x86_64-beta59.deb given on commandline

I've already downloaded the file for installation on ubuntu 20.04.

How can i do?

pincy
Site Admin
Posts: 540
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: Installation of Argos on Ubuntu-WSL

Postby pincy » Wed Jun 16, 2021 10:59 pm

A collaborator tested the procedure on a fresh WSL2 installation with Ubuntu 20.04, and everything works as expected:

Code: Select all

crahda@LAPTOP-QHJ0H135:/mnt/c/Users/Brandon/Downloads$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 20.04.2 LTS Release: 20.04 Codename: focal crahda@LAPTOP-QHJ0H135:/mnt/c/Users/Brandon/Downloads$ sudo apt-get install ./argos3_simulator-3.0.0-x86_64-beta59.deb ... snip ... crahda@LAPTOP-QHJ0H135:/mnt/c/Users/Brandon/Downloads$ argos3 --version ARGOS_VERSION=3.0.0-beta59 ARGOS_INSTALL_PREFIX=/usr ARGOS_USE_DOUBLE=ON ARGOS_WITH_LUA=ON ARGOS_BUILD_FLAGS= -Wall -Wno-unknown-pragmas -O3 -DNDEBUG -O3 -DNDEBUG
The only things I can think about are:
  1. In the command you reported, the name of the package is misspelled ("argos3_simualator" instead of "argos3_simulator");
  2. Are you sure you downloaded the Ubuntu 20.04 package and not the 18.04 by mistake?
I made ARGoS.

lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Re: Installation of Argos on Ubuntu-WSL

Postby lomak » Thu Jun 17, 2021 6:56 pm

I have try again but i've this:

Code: Select all

loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ lsb_release -a No LSB modules are available. Distributor ID: Ubuntu Description: Ubuntu 20.04.2 LTS Release: 20.04 Codename: focal loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ sudo apt-get install ./argos3_simulator-3.0.0-x86_64-beta59.deb [sudo] password for loic: Reading package lists... Done Building dependency tree Reading state information... Done Note, selecting 'argos3_simulator' instead of './argos3_simulator-3.0.0-x86_64-beta59.deb' Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. The following information may help to resolve the situation: The following packages have unmet dependencies: argos3_simulator : Depends: freeglut3-dev (>= 2.6.0) but it is not installable Depends: qt5-default (>= 5.5.1) but it is not installable Depends: libfreeimage-dev (>= 3.15) but it is not installable Depends: libfreeimageplus-dev (>= 3.15) but it is not installable Depends: lua5.3 but it is not installable E: Unable to correct problems, you have held broken packages.
I have paste the download file argos in system32.

pincy
Site Admin
Posts: 540
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: Installation of Argos on Ubuntu-WSL

Postby pincy » Thu Jun 17, 2021 8:30 pm

Another collaborator managed to reproduce your problem. He told me that the problem was fixed when he ran:

Code: Select all

sudo apt update sudo apt upgrade
and retried.
I made ARGoS.

lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Re: Installation of Argos on Ubuntu-WSL

Postby lomak » Thu Jun 17, 2021 9:22 pm

I ran as recommanded but i don't have argos installed

Code: Select all

loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ sudo apt update Hit:1 http://archive.ubuntu.com/ubuntu focal InRelease Get:2 http://archive.ubuntu.com/ubuntu focal-updates InRelease [114 kB] Get:3 http://security.ubuntu.com/ubuntu focal-security InRelease [114 kB] Get:4 http://archive.ubuntu.com/ubuntu focal-backports InRelease [101 kB] Get:5 http://archive.ubuntu.com/ubuntu focal/universe amd64 Packages [8628 kB] Get:6 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages [708 kB] Get:7 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [142 kB] Get:8 http://security.ubuntu.com/ubuntu focal-security/main amd64 c-n-f Metadata [7904 B] Get:9 http://security.ubuntu.com/ubuntu focal-security/restricted amd64 Packages [251 kB] Get:10 http://security.ubuntu.com/ubuntu focal-security/restricted Translation-en [36.5 kB] Get:11 http://security.ubuntu.com/ubuntu focal-security/universe amd64 Packages [590 kB] Get:12 http://security.ubuntu.com/ubuntu focal-security/universe Translation-en [95.7 kB] Get:13 http://security.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [11.6 kB] Get:14 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 Packages [19.9 kB] Get:15 http://security.ubuntu.com/ubuntu focal-security/multiverse Translation-en [4316 B] Get:16 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 c-n-f Metadata [528 B] Get:17 http://archive.ubuntu.com/ubuntu focal/universe Translation-en [5124 kB] Get:18 http://archive.ubuntu.com/ubuntu focal/universe amd64 c-n-f Metadata [265 kB] Get:19 http://archive.ubuntu.com/ubuntu focal/multiverse amd64 Packages [144 kB] Get:20 http://archive.ubuntu.com/ubuntu focal/multiverse Translation-en [104 kB] Get:21 http://archive.ubuntu.com/ubuntu focal/multiverse amd64 c-n-f Metadata [9136 B] Get:22 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 Packages [1033 kB] Get:23 http://archive.ubuntu.com/ubuntu focal-updates/main Translation-en [230 kB] Get:24 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 c-n-f Metadata [13.5 kB] Get:25 http://archive.ubuntu.com/ubuntu focal-updates/restricted amd64 Packages [272 kB] Get:26 http://archive.ubuntu.com/ubuntu focal-updates/restricted Translation-en [39.5 kB] Get:27 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 Packages [785 kB] Get:28 http://archive.ubuntu.com/ubuntu focal-updates/universe Translation-en [171 kB] Get:29 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 c-n-f Metadata [17.7 kB] Get:30 http://archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 Packages [23.6 kB] Get:31 http://archive.ubuntu.com/ubuntu focal-updates/multiverse Translation-en [6376 B] Get:32 http://archive.ubuntu.com/ubuntu focal-updates/multiverse amd64 c-n-f Metadata [648 B] Get:33 http://archive.ubuntu.com/ubuntu focal-backports/main amd64 c-n-f Metadata [112 B] Get:34 http://archive.ubuntu.com/ubuntu focal-backports/restricted amd64 c-n-f Metadata [116 B] Get:35 http://archive.ubuntu.com/ubuntu focal-backports/universe amd64 Packages [4032 B] Get:36 http://archive.ubuntu.com/ubuntu focal-backports/universe Translation-en [1448 B] Get:37 http://archive.ubuntu.com/ubuntu focal-backports/universe amd64 c-n-f Metadata [224 B] Get:38 http://archive.ubuntu.com/ubuntu focal-backports/multiverse amd64 c-n-f Metadata [116 B] Fetched 19.1 MB in 10s (1921 kB/s) Reading package lists... Done Building dependency tree Reading state information... Done 16 packages can be upgraded. Run 'apt list --upgradable' to see them. loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ sudo apt upgrade Reading package lists... Done Building dependency tree Reading state information... Done Calculating upgrade... Done The following packages will be upgraded: cloud-init libhogweed5 libnettle7 libnss-systemd libpam-systemd libsystemd0 libudev1 libxml2 open-vm-tools snapd systemd systemd-sysv systemd-timesyncd ubuntu-advantage-tools udev update-notifier-common 16 upgraded, 0 newly installed, 0 to remove and 0 not upgraded. Need to get 39.3 MB of archives. After this operation, 8490 kB of additional disk space will be used. Do you want to continue? [Y/n] Y Get:1 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libnss-systemd amd64 245.4-4ubuntu3.7 [96.1 kB] Get:2 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 udev amd64 245.4-4ubuntu3.7 [1366 kB] Get:3 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libudev1 amd64 245.4-4ubuntu3.7 [77.6 kB] Get:4 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 systemd-sysv amd64 245.4-4ubuntu3.7 [10.3 kB] Get:5 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 systemd-timesyncd amd64 245.4-4ubuntu3.7 [28.1 kB] Get:6 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libpam-systemd amd64 245.4-4ubuntu3.7 [186 kB] Get:7 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 systemd amd64 245.4-4ubuntu3.7 [3806 kB] Get:8 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libsystemd0 amd64 245.4-4ubuntu3.7 [270 kB] Get:9 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 update-notifier-common all 3.192.30.8 [132 kB] Get:10 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libnettle7 amd64 3.5.1+really3.5.1-2ubuntu0.2 [115 kB] Get:11 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libhogweed5 amd64 3.5.1+really3.5.1-2ubuntu0.2 [138 kB] Get:12 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libxml2 amd64 2.9.10+dfsg-5ubuntu0.20.04.1 [640 kB] Get:13 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 ubuntu-advantage-tools amd64 27.1~20.04.1 [837 kB] Get:14 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 snapd amd64 2.49.2+20.04 [30.6 MB] Get:15 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 cloud-init all 21.2-3-g899bfaa9-0ubuntu2~20.04.1 [456 kB] Get:16 http://archive.ubuntu.com/ubuntu focal-updates/universe amd64 open-vm-tools amd64 2:11.2.5-2ubuntu1~ubuntu20.04.1 [604 kB] Fetched 39.3 MB in 13s (3058 kB/s) Preconfiguring packages ... (Reading database ... 32232 files and directories currently installed.) Preparing to unpack .../libnss-systemd_245.4-4ubuntu3.7_amd64.deb ... Unpacking libnss-systemd:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../udev_245.4-4ubuntu3.7_amd64.deb ... Unpacking udev (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../libudev1_245.4-4ubuntu3.7_amd64.deb ... Unpacking libudev1:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Setting up libudev1:amd64 (245.4-4ubuntu3.7) ... (Reading database ... 32232 files and directories currently installed.) Preparing to unpack .../systemd-sysv_245.4-4ubuntu3.7_amd64.deb ... Unpacking systemd-sysv (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../systemd-timesyncd_245.4-4ubuntu3.7_amd64.deb ... Unpacking systemd-timesyncd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../libpam-systemd_245.4-4ubuntu3.7_amd64.deb ... Unpacking libpam-systemd:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../systemd_245.4-4ubuntu3.7_amd64.deb ... Unpacking systemd (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Preparing to unpack .../libsystemd0_245.4-4ubuntu3.7_amd64.deb ... Unpacking libsystemd0:amd64 (245.4-4ubuntu3.7) over (245.4-4ubuntu3.6) ... Setting up libsystemd0:amd64 (245.4-4ubuntu3.7) ... (Reading database ... 32232 files and directories currently installed.) Preparing to unpack .../update-notifier-common_3.192.30.8_all.deb ... Unpacking update-notifier-common (3.192.30.8) over (3.192.30.7) ... Preparing to unpack .../libnettle7_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ... Unpacking libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ... Setting up libnettle7:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ... (Reading database ... 32232 files and directories currently installed.) Preparing to unpack .../libhogweed5_3.5.1+really3.5.1-2ubuntu0.2_amd64.deb ... Unpacking libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) over (3.5.1+really3.5.1-2ubuntu0.1) ... Setting up libhogweed5:amd64 (3.5.1+really3.5.1-2ubuntu0.2) ... (Reading database ... 32232 files and directories currently installed.) Preparing to unpack .../libxml2_2.9.10+dfsg-5ubuntu0.20.04.1_amd64.deb ... Unpacking libxml2:amd64 (2.9.10+dfsg-5ubuntu0.20.04.1) over (2.9.10+dfsg-5) ... Preparing to unpack .../ubuntu-advantage-tools_27.1~20.04.1_amd64.deb ... Unpacking ubuntu-advantage-tools (27.1~20.04.1) over (27.0.2~20.04.1) ... Preparing to unpack .../snapd_2.49.2+20.04_amd64.deb ... Unpacking snapd (2.49.2+20.04) over (2.48.3+20.04) ... Preparing to unpack .../cloud-init_21.2-3-g899bfaa9-0ubuntu2~20.04.1_all.deb ... Unpacking cloud-init (21.2-3-g899bfaa9-0ubuntu2~20.04.1) over (21.1-19-gbad84ad4-0ubuntu1~20.04.2) ... Preparing to unpack .../open-vm-tools_2%3a11.2.5-2ubuntu1~ubuntu20.04.1_amd64.deb ... Unpacking open-vm-tools (2:11.2.5-2ubuntu1~ubuntu20.04.1) over (2:11.0.5-4) ... Setting up cloud-init (21.2-3-g899bfaa9-0ubuntu2~20.04.1) ... Installing new version of config file /etc/cloud/templates/chef_client.rb.tmpl ... Setting up update-notifier-common (3.192.30.8) ... Setting up udev (245.4-4ubuntu3.7) ... invoke-rc.d: could not determine current runlevel update-initramfs: deferring update (trigger activated) Setting up ubuntu-advantage-tools (27.1~20.04.1) ... Setting up libxml2:amd64 (2.9.10+dfsg-5ubuntu0.20.04.1) ... Setting up open-vm-tools (2:11.2.5-2ubuntu1~ubuntu20.04.1) ... Installing new version of config file /etc/vmware-tools/tools.conf.example ... Installing new version of config file /etc/vmware-tools/vgauth.conf ... invoke-rc.d: could not determine current runlevel Setting up systemd (245.4-4ubuntu3.7) ... Initializing machine ID from random generator. Setting up systemd-timesyncd (245.4-4ubuntu3.7) ... Setting up snapd (2.49.2+20.04) ... Installing new version of config file /etc/apparmor.d/usr.lib.snapd.snap-confine.real ... Setting up systemd-sysv (245.4-4ubuntu3.7) ... Setting up libnss-systemd:amd64 (245.4-4ubuntu3.7) ... Setting up libpam-systemd:amd64 (245.4-4ubuntu3.7) ... Processing triggers for mime-support (3.64ubuntu1) ... Processing triggers for libc-bin (2.31-0ubuntu9.2) ... Processing triggers for rsyslog (8.2001.0-1ubuntu1.1) ... invoke-rc.d: could not determine current runlevel Processing triggers for man-db (2.9.1-1) ... Processing triggers for dbus (1.12.16-2ubuntu2.1) ... Processing triggers for initramfs-tools (0.136ubuntu6.5) ...

lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Re: Installation of Argos on Ubuntu-WSL

Postby lomak » Thu Jun 17, 2021 9:26 pm

Code: Select all

loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ sudo apt-get install ./argos3_simulator-3.0.0-x86_64-beta59.deb Reading package lists... Done Building dependency tree Reading state information... Done Note, selecting 'argos3_simulator' instead of './argos3_simulator-3.0.0-x86_64-beta59.deb' The following additional packages will be installed: adwaita-icon-theme at-spi2-core autoconf automake autotools-dev binutils binutils-common binutils-x86-64-linux-gnu cmake cmake-data cpp cpp-9 fontconfig freeglut3 freeglut3-dev g++ g++-9 gcc gcc-9 gcc-9-base gtk-update-icon-cache hicolor-icon-theme humanity-icon-theme libasan5 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatomic1 libatspi2.0-0 libavahi-client3 libavahi-common-data libavahi-common3 libbinutils libc-dev-bin libc6-dev libcairo-gobject2 libcairo2 libcc1-0 libcolord2 libcrypt-dev libctf-nobfd0 libctf0 libcups2 libdatrie1 libdouble-conversion3 libdpkg-perl libegl-dev libegl-mesa0 libegl1 libepoxy0 libevdev2 libfile-fcntllock-perl libfreeimage-dev libfreeimage3 libfreeimageplus-dev libfreeimageplus3 libgbm1 libgcc-9-dev libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common libgl-dev libgl1-mesa-dev libgles-dev libgles1 libgles2 libglu1-mesa libglu1-mesa-dev libglvnd-dev libglx-dev libgomp1 libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libharfbuzz0b libice-dev libilmbase24 libinput-bin libinput10 libisl22 libitm1 libjbig0 libjpeg-turbo8 libjpeg8 libjsoncpp1 libjxr0 liblcms2-2 liblsan0 libltdl-dev liblua5.3-0 liblua5.3-dev libmpc3 libmtdev1 libncurses-dev libopenexr24 libopengl-dev libopengl0 libopenjp2-7 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpcre2-16-0 libpixman-1-0 libpthread-stubs0-dev libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5opengl5-dev libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5widgets5 libqt5xml5 libquadmath0 libraw19 libreadline-dev librest-0.7-0 librhash0 librsvg2-2 librsvg2-common libsm-dev libsoup-gnome2.4-1 libstdc++-9-dev libthai-data libthai0 libtiff5 libtool libtool-bin libtsan0 libubsan1 libvulkan-dev libwacom-bin libwacom-common libwacom2 libwayland-cursor0 libwayland-egl1 libwayland-server0 libwebp6 libwebpmux3 libx11-dev libxau-dev libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-render-util0 libxcb-render0 libxcb-shm0 libxcb-util1 libxcb-xinerama0 libxcb-xinput0 libxcb-xkb1 libxcb1-dev libxcursor1 libxdmcp-dev libxext-dev libxfixes-dev libxi-dev libxkbcommon-x11-0 libxkbcommon0 libxmu-dev libxmu-headers libxt-dev linux-libc-dev lua5.3 m4 make manpages-dev pkg-config qt5-default qt5-gtk-platformtheme qt5-qmake qt5-qmake-bin qtbase5-dev qtbase5-dev-tools qtchooser qttranslations5-l10n ubuntu-mono x11proto-core-dev x11proto-dev x11proto-input-dev x11proto-xext-dev xorg-sgml-doctools xtrans-dev Suggested packages: autoconf-archive gnu-standards autoconf-doc gettext binutils-doc cmake-doc ninja-build cpp-doc gcc-9-locales g++-multilib g++-9-multilib gcc-9-doc gcc-multilib flex bison gdb gcc-doc gcc-9-multilib glibc-doc colord cups-common debian-keyring bzr libfreeimageplus-doc gvfs libice-doc liblcms2-utils libtool-doc ncurses-doc qt5-image-formats-plugins qtwayland5 readline-doc librsvg2-bin libsm-doc libstdc++-9-doc gfortran | fortran95-compiler gcj-jdk libx11-doc libxcb-doc libxext-doc libxt-doc m4-doc make-doc dpkg-dev default-libmysqlclient-dev firebird-dev libpq-dev libsqlite3-dev unixodbc-dev The following NEW packages will be installed: adwaita-icon-theme argos3_simulator at-spi2-core autoconf automake autotools-dev binutils binutils-common binutils-x86-64-linux-gnu cmake cmake-data cpp cpp-9 fontconfig freeglut3 freeglut3-dev g++ g++-9 gcc gcc-9 gcc-9-base gtk-update-icon-cache hicolor-icon-theme humanity-icon-theme libasan5 libatk-bridge2.0-0 libatk1.0-0 libatk1.0-data libatomic1 libatspi2.0-0 libavahi-client3 libavahi-common-data libavahi-common3 libbinutils libc-dev-bin libc6-dev libcairo-gobject2 libcairo2 libcc1-0 libcolord2 libcrypt-dev libctf-nobfd0 libctf0 libcups2 libdatrie1 libdouble-conversion3 libdpkg-perl libegl-dev libegl-mesa0 libegl1 libepoxy0 libevdev2 libfile-fcntllock-perl libfreeimage-dev libfreeimage3 libfreeimageplus-dev libfreeimageplus3 libgbm1 libgcc-9-dev libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-bin libgdk-pixbuf2.0-common libgl-dev libgl1-mesa-dev libgles-dev libgles1 libgles2 libglu1-mesa libglu1-mesa-dev libglvnd-dev libglx-dev libgomp1 libgraphite2-3 libgtk-3-0 libgtk-3-bin libgtk-3-common libharfbuzz0b libice-dev libilmbase24 libinput-bin libinput10 libisl22 libitm1 libjbig0 libjpeg-turbo8 libjpeg8 libjsoncpp1 libjxr0 liblcms2-2 liblsan0 libltdl-dev liblua5.3-0 liblua5.3-dev libmpc3 libmtdev1 libncurses-dev libopenexr24 libopengl-dev libopengl0 libopenjp2-7 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpcre2-16-0 libpixman-1-0 libpthread-stubs0-dev libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5gui5 libqt5network5 libqt5opengl5 libqt5opengl5-dev libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5svg5 libqt5test5 libqt5widgets5 libqt5xml5 libquadmath0 libraw19 libreadline-dev librest-0.7-0 librhash0 librsvg2-2 librsvg2-common libsm-dev libsoup-gnome2.4-1 libstdc++-9-dev libthai-data libthai0 libtiff5 libtool libtool-bin libtsan0 libubsan1 libvulkan-dev libwacom-bin libwacom-common libwacom2 libwayland-cursor0 libwayland-egl1 libwayland-server0 libwebp6 libwebpmux3 libx11-dev libxau-dev libxcb-icccm4 libxcb-image0 libxcb-keysyms1 libxcb-render-util0 libxcb-render0 libxcb-shm0 libxcb-util1 libxcb-xinerama0 libxcb-xinput0 libxcb-xkb1 libxcb1-dev libxcursor1 libxdmcp-dev libxext-dev libxfixes-dev libxi-dev libxkbcommon-x11-0 libxkbcommon0 libxmu-dev libxmu-headers libxt-dev linux-libc-dev lua5.3 m4 make manpages-dev pkg-config qt5-default qt5-gtk-platformtheme qt5-qmake qt5-qmake-bin qtbase5-dev qtbase5-dev-tools qtchooser qttranslations5-l10n ubuntu-mono x11proto-core-dev x11proto-dev x11proto-input-dev x11proto-xext-dev xorg-sgml-doctools xtrans-dev 0 upgraded, 190 newly installed, 0 to remove and 0 not upgraded. Need to get 80.4 MB/112 MB of archives. After this operation, 457 MB of additional disk space will be used. Do you want to continue? [Y/n] Y Get:1 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdouble-conversion3 amd64 3.1.5-4ubuntu1 [37.9 kB] Get:2 http://archive.ubuntu.com/ubuntu focal/main amd64 libpcre2-16-0 amd64 10.34-7 [181 kB] Get:3 /mnt/c/Windows/system32/argos3_simulator-3.0.0-x86_64-beta59.deb argos3_simulator amd64 3.0.0 [31.2 MB] Get:4 http://archive.ubuntu.com/ubuntu focal/universe amd64 libqt5core5a amd64 5.12.8+dfsg-0ubuntu1 [2005 kB] Get:5 http://archive.ubuntu.com/ubuntu focal/main amd64 fontconfig amd64 2.13.1-2ubuntu3 [171 kB] Get:6 http://archive.ubuntu.com/ubuntu focal/main amd64 libwayland-server0 amd64 1.18.0-1 [31.6 kB] Get:7 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgbm1 amd64 20.2.6-0ubuntu0.20.04.1 [30.4 kB] Get:8 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libegl-mesa0 amd64 20.2.6-0ubuntu0.20.04.1 [97.7 kB] Get:9 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libegl1 amd64 1.3.2-1~ubuntu0.20.04.1 [31.9 kB] Get:10 http://archive.ubuntu.com/ubuntu focal/main amd64 libgraphite2-3 amd64 1.3.13-11build1 [73.5 kB] ---------snip----- Get:50 http://archive.ubuntu.com/ubuntu focal/main amd64 libpango-1.0-0 amd64 1.44.7-2ubuntu4 [162 kB] Get:51 http://archive.ubuntu.com/ubuntu focal/main amd64 libpangoft2-1.0-0 amd64 1.44.7-2ubuntu4 [34.9 kB] Get:52 http://archive.ubuntu.com/ubuntu focal/main amd64 libpangocairo-1.0-0 amd64 1.44.7-2ubuntu4 [24.8 kB] Get:53 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 librsvg2-2 amd64 2.48.9-1ubuntu0.20.04.1 [2253 kB] Get:54 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 librsvg2-common amd64 2.48.9-1ubuntu0.20.04.1 [9212 B] Get:55 http://archive.ubuntu.com/ubuntu focal/main amd64 humanity-icon-theme all 0.6.15 [1250 kB] Get:56 http://archive.ubuntu.com/ubuntu focal/main amd64 ubuntu-mono all 19.04-0ubuntu3 [147 kB] Get:57 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 adwaita-icon-theme all 3.36.1-2ubuntu0.20.04.2 [3441 kB] Get:58 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 gcc-9-base amd64 9.3.0-17ubuntu1~20.04 [19.1 kB] Get:59 http://archive.ubuntu.com/ubuntu focal/main amd64 libisl22 amd64 0.22.1-1 [592 kB] Get:60 http://archive.ubuntu.com/ubuntu focal/main amd64 libmpc3 amd64 1.1.0-1 [40.8 kB] Get:61 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 cpp-9 amd64 9.3.0-17ubuntu1~20.04 [7494 kB] Get:62 http://archive.ubuntu.com/ubuntu focal/main amd64 cpp amd64 4:9.3.0-1ubuntu2 [27.6 kB] Get:63 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libcc1-0 amd64 10.2.0-5ubuntu1~20.04 [41.1 kB] Get:64 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 binutils-common amd64 2.34-6ubuntu1.1 [207 kB] Get:65 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libbinutils amd64 2.34-6ubuntu1.1 [475 kB] Get:66 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libctf-nobfd0 amd64 2.34-6ubuntu1.1 [47.1 kB] Get:67 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libctf0 amd64 2.34-6ubuntu1.1 [46.6 kB] Get:68 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 binutils-x86-64-linux-gnu amd64 2.34-6ubuntu1.1 [1613 kB] Get:69 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 binutils amd64 2.34-6ubuntu1.1 [3380 B] Get:70 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgomp1 amd64 10.2.0-5ubuntu1~20.04 [102 kB] Get:71 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libitm1 amd64 10.2.0-5ubuntu1~20.04 [26.4 kB] Get:72 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libatomic1 amd64 10.2.0-5ubuntu1~20.04 [9300 B] Get:73 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libasan5 amd64 9.3.0-17ubuntu1~20.04 [394 kB] Get:74 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 liblsan0 amd64 10.2.0-5ubuntu1~20.04 [144 kB] Get:75 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libtsan0 amd64 10.2.0-5ubuntu1~20.04 [320 kB] Get:76 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libubsan1 amd64 10.2.0-5ubuntu1~20.04 [136 kB] Get:77 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libquadmath0 amd64 10.2.0-5ubuntu1~20.04 [146 kB] Get:78 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgcc-9-dev amd64 9.3.0-17ubuntu1~20.04 [2360 kB] Get:79 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 gcc-9 amd64 9.3.0-17ubuntu1~20.04 [8241 kB] Get:80 http://archive.ubuntu.com/ubuntu focal/main amd64 gcc amd64 4:9.3.0-1ubuntu2 [5208 B] Get:81 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libc-dev-bin amd64 2.31-0ubuntu9.2 [71.8 kB] Get:82 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 linux-libc-dev amd64 5.4.0-74.83 [1141 kB] Get:83 http://archive.ubuntu.com/ubuntu focal/main amd64 libcrypt-dev amd64 1:4.4.10-10ubuntu4 [104 kB] Get:84 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libc6-dev amd64 2.31-0ubuntu9.2 [2520 kB] Get:85 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libstdc++-9-dev amd64 9.3.0-17ubuntu1~20.04 [1714 kB] Get:86 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 g++-9 amd64 9.3.0-17ubuntu1~20.04 [8405 kB] -----------snip--------- Get:166 http://archive.ubuntu.com/ubuntu focal/main amd64 libcolord2 amd64 1.4.4-2 [133 kB] Get:167 http://archive.ubuntu.com/ubuntu focal/main amd64 libdpkg-perl all 1.19.7ubuntu3 [230 kB] Get:168 http://archive.ubuntu.com/ubuntu focal/main amd64 libepoxy0 amd64 1.5.4-1 [191 kB] Get:169 http://archive.ubuntu.com/ubuntu focal/main amd64 libfile-fcntllock-perl amd64 0.22-3build4 [33.1 kB] Get:170 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgdk-pixbuf2.0-bin amd64 2.40.0+dfsg-3ubuntu0.2 [14.1 kB] Get:171 http://archive.ubuntu.com/ubuntu focal/main amd64 libsoup-gnome2.4-1 amd64 2.70.0-1 [6136 B] Get:172 http://archive.ubuntu.com/ubuntu focal/main amd64 librest-0.7-0 amd64 0.8.1-1 [32.2 kB] Get:173 http://archive.ubuntu.com/ubuntu focal/main amd64 libwayland-cursor0 amd64 1.18.0-1 [10.3 kB] Get:174 http://archive.ubuntu.com/ubuntu focal/main amd64 libwayland-egl1 amd64 1.18.0-1 [5692 B] Get:175 http://archive.ubuntu.com/ubuntu focal/main amd64 libxcursor1 amd64 1:1.2.0-2 [20.1 kB] Get:176 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgtk-3-common all 3.24.20-0ubuntu1 [235 kB] Get:177 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgtk-3-0 amd64 3.24.20-0ubuntu1 [2620 kB] Get:178 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libgtk-3-bin amd64 3.24.20-0ubuntu1 [61.9 kB] Get:179 http://archive.ubuntu.com/ubuntu focal/main amd64 libltdl-dev amd64 2.4.6-14 [162 kB] Get:180 http://archive.ubuntu.com/ubuntu focal/universe amd64 libqt5opengl5 amd64 5.12.8+dfsg-0ubuntu1 [136 kB] Get:181 http://archive.ubuntu.com/ubuntu focal/universe amd64 libqt5opengl5-dev amd64 5.12.8+dfsg-0ubuntu1 [39.8 kB] Get:182 http://archive.ubuntu.com/ubuntu focal/universe amd64 libqt5sql5-sqlite amd64 5.12.8+dfsg-0ubuntu1 [47.5 kB] Get:183 http://archive.ubuntu.com/ubuntu focal/main amd64 libtool all 2.4.6-14 [161 kB] Get:184 http://archive.ubuntu.com/ubuntu focal/main amd64 libtool-bin amd64 2.4.6-14 [80.1 kB] Get:185 http://archive.ubuntu.com/ubuntu focal-updates/main amd64 libwacom-bin amd64 1.3-2ubuntu3 [5484 B] Get:186 http://archive.ubuntu.com/ubuntu focal/main amd64 make amd64 4.2.1-1.2 [162 kB] Get:187 http://archive.ubuntu.com/ubuntu focal/main amd64 manpages-dev all 5.05-1 [2266 kB] Get:188 http://archive.ubuntu.com/ubuntu focal/main amd64 pkg-config amd64 0.29.1-0ubuntu4 [45.5 kB] Get:189 http://archive.ubuntu.com/ubuntu focal/universe amd64 qt5-gtk-platformtheme amd64 5.12.8+dfsg-0ubuntu1 [124 kB] Get:190 http://archive.ubuntu.com/ubuntu focal/universe amd64 qttranslations5-l10n all 5.12.8-0ubuntu1 [1486 kB] Fetched 80.4 MB in 30s (2676 kB/s) Extracting templates from packages: 100% Selecting previously unselected package libdouble-conversion3:amd64. (Reading database ... 32249 files and directories currently installed.) Preparing to unpack .../000-libdouble-conversion3_3.1.5-4ubuntu1_amd64.deb ... Unpacking libdouble-conversion3:amd64 (3.1.5-4ubuntu1) ... Selecting previously unselected package libpcre2-16-0:amd64. Preparing to unpack .../001-libpcre2-16-0_10.34-7_amd64.deb ... Unpacking libpcre2-16-0:amd64 (10.34-7) ... Selecting previously unselected package libqt5core5a:amd64. Preparing to unpack .../002-libqt5core5a_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5core5a:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package fontconfig. Preparing to unpack .../003-fontconfig_2.13.1-2ubuntu3_amd64.deb ... Unpacking fontconfig (2.13.1-2ubuntu3) ... Selecting previously unselected package libwayland-server0:amd64. Preparing to unpack .../004-libwayland-server0_1.18.0-1_amd64.deb ... Unpacking libwayland-server0:amd64 (1.18.0-1) ... Selecting previously unselected package libgbm1:amd64. Preparing to unpack .../005-libgbm1_20.2.6-0ubuntu0.20.04.1_amd64.deb ... Unpacking libgbm1:amd64 (20.2.6-0ubuntu0.20.04.1) ... Selecting previously unselected package libegl-mesa0:amd64. Preparing to unpack .../006-libegl-mesa0_20.2.6-0ubuntu0.20.04.1_amd64.deb ... Unpacking libegl-mesa0:amd64 (20.2.6-0ubuntu0.20.04.1) ... Selecting previously unselected package libegl1:amd64. Preparing to unpack .../007-libegl1_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libegl1:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgraphite2-3:amd64. Preparing to unpack .../008-libgraphite2-3_1.3.13-11build1_amd64.deb ... Unpacking libgraphite2-3:amd64 (1.3.13-11build1) ... Selecting previously unselected package libharfbuzz0b:amd64. Preparing to unpack .../009-libharfbuzz0b_2.6.4-1ubuntu4_amd64.deb ... Unpacking libharfbuzz0b:amd64 (2.6.4-1ubuntu4) ... Selecting previously unselected package libevdev2:amd64. Preparing to unpack .../010-libevdev2_1.9.0+dfsg-1ubuntu0.1_amd64.deb ... Unpacking libevdev2:amd64 (1.9.0+dfsg-1ubuntu0.1) ... Selecting previously unselected package libmtdev1:amd64. Preparing to unpack .../011-libmtdev1_1.1.5-1.1_amd64.deb ... Unpacking libmtdev1:amd64 (1.1.5-1.1) ... Selecting previously unselected package libwacom-common. Preparing to unpack .../012-libwacom-common_1.3-2ubuntu3_all.deb ... Unpacking libwacom-common (1.3-2ubuntu3) ... Selecting previously unselected package libwacom2:amd64. Preparing to unpack .../013-libwacom2_1.3-2ubuntu3_amd64.deb ... Unpacking libwacom2:amd64 (1.3-2ubuntu3) ... Selecting previously unselected package libinput-bin. Preparing to unpack .../014-libinput-bin_1.15.5-1ubuntu0.2_amd64.deb ... Unpacking libinput-bin (1.15.5-1ubuntu0.2) ... Selecting previously unselected package libinput10:amd64. Preparing to unpack .../015-libinput10_1.15.5-1ubuntu0.2_amd64.deb ... Unpacking libinput10:amd64 (1.15.5-1ubuntu0.2) ... Selecting previously unselected package libjpeg-turbo8:amd64. Preparing to unpack .../016-libjpeg-turbo8_2.0.3-0ubuntu1.20.04.1_amd64.deb ... Unpacking libjpeg-turbo8:amd64 (2.0.3-0ubuntu1.20.04.1) ... Selecting previously unselected package libjpeg8:amd64. Preparing to unpack .../017-libjpeg8_8c-2ubuntu8_amd64.deb ... Unpacking libjpeg8:amd64 (8c-2ubuntu8) ... Selecting previously unselected package libqt5dbus5:amd64. Preparing to unpack .../018-libqt5dbus5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5dbus5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5network5:amd64. Preparing to unpack .../019-libqt5network5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5network5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libxcb-icccm4:amd64. Preparing to unpack .../020-libxcb-icccm4_0.4.1-1.1_amd64.deb ... Unpacking libxcb-icccm4:amd64 (0.4.1-1.1) ... Selecting previously unselected package libxcb-shm0:amd64. Preparing to unpack .../021-libxcb-shm0_1.14-2_amd64.deb ... Unpacking libxcb-shm0:amd64 (1.14-2) ... Selecting previously unselected package libxcb-util1:amd64. Preparing to unpack .../022-libxcb-util1_0.4.0-0ubuntu3_amd64.deb ... Unpacking libxcb-util1:amd64 (0.4.0-0ubuntu3) ... Selecting previously unselected package libxcb-image0:amd64. Preparing to unpack .../023-libxcb-image0_0.4.0-1build1_amd64.deb ... Unpacking libxcb-image0:amd64 (0.4.0-1build1) ... Selecting previously unselected package libxcb-keysyms1:amd64. Preparing to unpack .../024-libxcb-keysyms1_0.4.0-1build1_amd64.deb ... Unpacking libxcb-keysyms1:amd64 (0.4.0-1build1) ... Selecting previously unselected package libxcb-render0:amd64. Preparing to unpack .../025-libxcb-render0_1.14-2_amd64.deb ... Unpacking libxcb-render0:amd64 (1.14-2) ... Selecting previously unselected package libxcb-render-util0:amd64. Preparing to unpack .../026-libxcb-render-util0_0.3.9-1build1_amd64.deb ... Unpacking libxcb-render-util0:amd64 (0.3.9-1build1) ... Selecting previously unselected package libxcb-xinerama0:amd64. Preparing to unpack .../027-libxcb-xinerama0_1.14-2_amd64.deb ... Unpacking libxcb-xinerama0:amd64 (1.14-2) ... Selecting previously unselected package libxcb-xinput0:amd64. Preparing to unpack .../028-libxcb-xinput0_1.14-2_amd64.deb ... Unpacking libxcb-xinput0:amd64 (1.14-2) ... Selecting previously unselected package libxcb-xkb1:amd64. Preparing to unpack .../029-libxcb-xkb1_1.14-2_amd64.deb ... Unpacking libxcb-xkb1:amd64 (1.14-2) ... Selecting previously unselected package libxkbcommon0:amd64. Preparing to unpack .../030-libxkbcommon0_0.10.0-1_amd64.deb ... Unpacking libxkbcommon0:amd64 (0.10.0-1) ... Selecting previously unselected package libxkbcommon-x11-0:amd64. Preparing to unpack .../031-libxkbcommon-x11-0_0.10.0-1_amd64.deb ... Unpacking libxkbcommon-x11-0:amd64 (0.10.0-1) ... Selecting previously unselected package libqt5gui5:amd64. Preparing to unpack .../032-libqt5gui5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5gui5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5widgets5:amd64. Preparing to unpack .../033-libqt5widgets5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5widgets5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5svg5:amd64. Preparing to unpack .../034-libqt5svg5_5.12.8-0ubuntu1_amd64.deb ... Unpacking libqt5svg5:amd64 (5.12.8-0ubuntu1) ... Selecting previously unselected package hicolor-icon-theme. Preparing to unpack .../035-hicolor-icon-theme_0.17-2_all.deb ... Unpacking hicolor-icon-theme (0.17-2) ... Selecting previously unselected package libjbig0:amd64. Preparing to unpack .../036-libjbig0_2.1-3.1build1_amd64.deb ... Unpacking libjbig0:amd64 (2.1-3.1build1) ... Selecting previously unselected package libwebp6:amd64. Preparing to unpack .../037-libwebp6_0.6.1-2ubuntu0.20.04.1_amd64.deb ... Unpacking libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) ... Selecting previously unselected package libtiff5:amd64. Preparing to unpack .../038-libtiff5_4.1.0+git191117-2ubuntu0.20.04.1_amd64.deb ... Unpacking libtiff5:amd64 (4.1.0+git191117-2ubuntu0.20.04.1) ... Selecting previously unselected package libgdk-pixbuf2.0-common. Preparing to unpack .../039-libgdk-pixbuf2.0-common_2.40.0+dfsg-3ubuntu0.2_all.deb ... Unpacking libgdk-pixbuf2.0-common (2.40.0+dfsg-3ubuntu0.2) ... Selecting previously unselected package libgdk-pixbuf2.0-0:amd64. Preparing to unpack .../040-libgdk-pixbuf2.0-0_2.40.0+dfsg-3ubuntu0.2_amd64.deb ... Unpacking libgdk-pixbuf2.0-0:amd64 (2.40.0+dfsg-3ubuntu0.2) ... Selecting previously unselected package gtk-update-icon-cache. Preparing to unpack .../041-gtk-update-icon-cache_3.24.20-0ubuntu1_amd64.deb ... No diversion 'diversion of /usr/sbin/update-icon-caches to /usr/sbin/update-icon-caches.gtk2 by libgtk-3-bin', none removed. No diversion 'diversion of /usr/share/man/man8/update-icon-caches.8.gz to /usr/share/man/man8/update-icon-caches.gtk2.8.gz by libgtk-3-bin', none removed. Unpacking gtk-update-icon-cache (3.24.20-0ubuntu1) ... Selecting previously unselected package libpixman-1-0:amd64. Preparing to unpack .../042-libpixman-1-0_0.38.4-0ubuntu1_amd64.deb ... Unpacking libpixman-1-0:amd64 (0.38.4-0ubuntu1) ... Selecting previously unselected package libcairo2:amd64. Preparing to unpack .../043-libcairo2_1.16.0-4ubuntu1_amd64.deb ... Unpacking libcairo2:amd64 (1.16.0-4ubuntu1) ... Selecting previously unselected package libcairo-gobject2:amd64. Preparing to unpack .../044-libcairo-gobject2_1.16.0-4ubuntu1_amd64.deb ... Unpacking libcairo-gobject2:amd64 (1.16.0-4ubuntu1) ... Selecting previously unselected package libthai-data. Preparing to unpack .../045-libthai-data_0.1.28-3_all.deb ... Unpacking libthai-data (0.1.28-3) ... Selecting previously unselected package libdatrie1:amd64. Preparing to unpack .../046-libdatrie1_0.2.12-3_amd64.deb ... Unpacking libdatrie1:amd64 (0.2.12-3) ... Selecting previously unselected package libthai0:amd64. Preparing to unpack .../047-libthai0_0.1.28-3_amd64.deb ... Unpacking libthai0:amd64 (0.1.28-3) ... Selecting previously unselected package libpango-1.0-0:amd64. Preparing to unpack .../048-libpango-1.0-0_1.44.7-2ubuntu4_amd64.deb ... Unpacking libpango-1.0-0:amd64 (1.44.7-2ubuntu4) ... Selecting previously unselected package libpangoft2-1.0-0:amd64. Preparing to unpack .../049-libpangoft2-1.0-0_1.44.7-2ubuntu4_amd64.deb ... Unpacking libpangoft2-1.0-0:amd64 (1.44.7-2ubuntu4) ... Selecting previously unselected package libpangocairo-1.0-0:amd64. Preparing to unpack .../050-libpangocairo-1.0-0_1.44.7-2ubuntu4_amd64.deb ... Unpacking libpangocairo-1.0-0:amd64 (1.44.7-2ubuntu4) ... Selecting previously unselected package librsvg2-2:amd64. Preparing to unpack .../051-librsvg2-2_2.48.9-1ubuntu0.20.04.1_amd64.deb ... Unpacking librsvg2-2:amd64 (2.48.9-1ubuntu0.20.04.1) ... Selecting previously unselected package librsvg2-common:amd64. Preparing to unpack .../052-librsvg2-common_2.48.9-1ubuntu0.20.04.1_amd64.deb ... Unpacking librsvg2-common:amd64 (2.48.9-1ubuntu0.20.04.1) ... Selecting previously unselected package humanity-icon-theme. Preparing to unpack .../053-humanity-icon-theme_0.6.15_all.deb ... Unpacking humanity-icon-theme (0.6.15) ... Selecting previously unselected package ubuntu-mono. Preparing to unpack .../054-ubuntu-mono_19.04-0ubuntu3_all.deb ... Unpacking ubuntu-mono (19.04-0ubuntu3) ... Selecting previously unselected package adwaita-icon-theme. Preparing to unpack .../055-adwaita-icon-theme_3.36.1-2ubuntu0.20.04.2_all.deb ... Unpacking adwaita-icon-theme (3.36.1-2ubuntu0.20.04.2) ... Selecting previously unselected package gcc-9-base:amd64. Preparing to unpack .../056-gcc-9-base_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking gcc-9-base:amd64 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package libisl22:amd64. Preparing to unpack .../057-libisl22_0.22.1-1_amd64.deb ... Unpacking libisl22:amd64 (0.22.1-1) ... Selecting previously unselected package libmpc3:amd64. Preparing to unpack .../058-libmpc3_1.1.0-1_amd64.deb ... Unpacking libmpc3:amd64 (1.1.0-1) ... Selecting previously unselected package cpp-9. Preparing to unpack .../059-cpp-9_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking cpp-9 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package cpp. Preparing to unpack .../060-cpp_4%3a9.3.0-1ubuntu2_amd64.deb ... Unpacking cpp (4:9.3.0-1ubuntu2) ... Selecting previously unselected package libcc1-0:amd64. Preparing to unpack .../061-libcc1-0_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libcc1-0:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package binutils-common:amd64. Preparing to unpack .../062-binutils-common_2.34-6ubuntu1.1_amd64.deb ... Unpacking binutils-common:amd64 (2.34-6ubuntu1.1) ... Selecting previously unselected package libbinutils:amd64. Preparing to unpack .../063-libbinutils_2.34-6ubuntu1.1_amd64.deb ... Unpacking libbinutils:amd64 (2.34-6ubuntu1.1) ... Selecting previously unselected package libctf-nobfd0:amd64. Preparing to unpack .../064-libctf-nobfd0_2.34-6ubuntu1.1_amd64.deb ... Unpacking libctf-nobfd0:amd64 (2.34-6ubuntu1.1) ... Selecting previously unselected package libctf0:amd64. Preparing to unpack .../065-libctf0_2.34-6ubuntu1.1_amd64.deb ... Unpacking libctf0:amd64 (2.34-6ubuntu1.1) ... Selecting previously unselected package binutils-x86-64-linux-gnu. Preparing to unpack .../066-binutils-x86-64-linux-gnu_2.34-6ubuntu1.1_amd64.deb ... Unpacking binutils-x86-64-linux-gnu (2.34-6ubuntu1.1) ... Selecting previously unselected package binutils. Preparing to unpack .../067-binutils_2.34-6ubuntu1.1_amd64.deb ... Unpacking binutils (2.34-6ubuntu1.1) ... Selecting previously unselected package libgomp1:amd64. Preparing to unpack .../068-libgomp1_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libgomp1:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libitm1:amd64. Preparing to unpack .../069-libitm1_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libitm1:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libatomic1:amd64. Preparing to unpack .../070-libatomic1_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libatomic1:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libasan5:amd64. Preparing to unpack .../071-libasan5_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking libasan5:amd64 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package liblsan0:amd64. Preparing to unpack .../072-liblsan0_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking liblsan0:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libtsan0:amd64. Preparing to unpack .../073-libtsan0_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libtsan0:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libubsan1:amd64. Preparing to unpack .../074-libubsan1_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libubsan1:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libquadmath0:amd64. Preparing to unpack .../075-libquadmath0_10.2.0-5ubuntu1~20.04_amd64.deb ... Unpacking libquadmath0:amd64 (10.2.0-5ubuntu1~20.04) ... Selecting previously unselected package libgcc-9-dev:amd64. Preparing to unpack .../076-libgcc-9-dev_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking libgcc-9-dev:amd64 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package gcc-9. Preparing to unpack .../077-gcc-9_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking gcc-9 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package gcc. Preparing to unpack .../078-gcc_4%3a9.3.0-1ubuntu2_amd64.deb ... Unpacking gcc (4:9.3.0-1ubuntu2) ... Selecting previously unselected package libc-dev-bin. Preparing to unpack .../079-libc-dev-bin_2.31-0ubuntu9.2_amd64.deb ... Unpacking libc-dev-bin (2.31-0ubuntu9.2) ... Selecting previously unselected package linux-libc-dev:amd64. Preparing to unpack .../080-linux-libc-dev_5.4.0-74.83_amd64.deb ... Unpacking linux-libc-dev:amd64 (5.4.0-74.83) ... Selecting previously unselected package libcrypt-dev:amd64. Preparing to unpack .../081-libcrypt-dev_1%3a4.4.10-10ubuntu4_amd64.deb ... Unpacking libcrypt-dev:amd64 (1:4.4.10-10ubuntu4) ... Selecting previously unselected package libc6-dev:amd64. Preparing to unpack .../082-libc6-dev_2.31-0ubuntu9.2_amd64.deb ... Unpacking libc6-dev:amd64 (2.31-0ubuntu9.2) ... Selecting previously unselected package libstdc++-9-dev:amd64. Preparing to unpack .../083-libstdc++-9-dev_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking libstdc++-9-dev:amd64 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package g++-9. Preparing to unpack .../084-g++-9_9.3.0-17ubuntu1~20.04_amd64.deb ... Unpacking g++-9 (9.3.0-17ubuntu1~20.04) ... Selecting previously unselected package g++. Preparing to unpack .../085-g++_4%3a9.3.0-1ubuntu2_amd64.deb ... Unpacking g++ (4:9.3.0-1ubuntu2) ... Selecting previously unselected package cmake-data. Preparing to unpack .../086-cmake-data_3.16.3-1ubuntu1_all.deb ... Unpacking cmake-data (3.16.3-1ubuntu1) ... Selecting previously unselected package libjsoncpp1:amd64. Preparing to unpack .../087-libjsoncpp1_1.7.4-3.1ubuntu2_amd64.deb ... Unpacking libjsoncpp1:amd64 (1.7.4-3.1ubuntu2) ... Selecting previously unselected package librhash0:amd64. Preparing to unpack .../088-librhash0_1.3.9-1_amd64.deb ... Unpacking librhash0:amd64 (1.3.9-1) ... Selecting previously unselected package cmake. Preparing to unpack .../089-cmake_3.16.3-1ubuntu1_amd64.deb ... Unpacking cmake (3.16.3-1ubuntu1) ... Selecting previously unselected package freeglut3:amd64. Preparing to unpack .../090-freeglut3_2.8.1-3_amd64.deb ... Unpacking freeglut3:amd64 (2.8.1-3) ... Selecting previously unselected package xorg-sgml-doctools. Preparing to unpack .../091-xorg-sgml-doctools_1%3a1.11-1_all.deb ... Unpacking xorg-sgml-doctools (1:1.11-1) ... Selecting previously unselected package x11proto-dev. Preparing to unpack .../092-x11proto-dev_2019.2-1ubuntu1_all.deb ... Unpacking x11proto-dev (2019.2-1ubuntu1) ... Selecting previously unselected package x11proto-core-dev. Preparing to unpack .../093-x11proto-core-dev_2019.2-1ubuntu1_all.deb ... Unpacking x11proto-core-dev (2019.2-1ubuntu1) ... Selecting previously unselected package libxau-dev:amd64. Preparing to unpack .../094-libxau-dev_1%3a1.0.9-0ubuntu1_amd64.deb ... Unpacking libxau-dev:amd64 (1:1.0.9-0ubuntu1) ... Selecting previously unselected package libxdmcp-dev:amd64. Preparing to unpack .../095-libxdmcp-dev_1%3a1.1.3-0ubuntu1_amd64.deb ... Unpacking libxdmcp-dev:amd64 (1:1.1.3-0ubuntu1) ... Selecting previously unselected package xtrans-dev. Preparing to unpack .../096-xtrans-dev_1.4.0-1_all.deb ... Unpacking xtrans-dev (1.4.0-1) ... Selecting previously unselected package libpthread-stubs0-dev:amd64. Preparing to unpack .../097-libpthread-stubs0-dev_0.4-1_amd64.deb ... Unpacking libpthread-stubs0-dev:amd64 (0.4-1) ... Selecting previously unselected package libxcb1-dev:amd64. Preparing to unpack .../098-libxcb1-dev_1.14-2_amd64.deb ... Unpacking libxcb1-dev:amd64 (1.14-2) ... Selecting previously unselected package libx11-dev:amd64. Preparing to unpack .../099-libx11-dev_2%3a1.6.9-2ubuntu1.2_amd64.deb ... Unpacking libx11-dev:amd64 (2:1.6.9-2ubuntu1.2) ... Selecting previously unselected package libglx-dev:amd64. Preparing to unpack .../100-libglx-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libglx-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgl-dev:amd64. Preparing to unpack .../101-libgl-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libgl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libegl-dev:amd64. Preparing to unpack .../102-libegl-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libegl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgles1:amd64. Preparing to unpack .../103-libgles1_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libgles1:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgles2:amd64. Preparing to unpack .../104-libgles2_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libgles2:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgles-dev:amd64. Preparing to unpack .../105-libgles-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libgles-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libopengl0:amd64. Preparing to unpack .../106-libopengl0_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libopengl0:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libopengl-dev:amd64. Preparing to unpack .../107-libopengl-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libopengl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libglvnd-dev:amd64. Preparing to unpack .../108-libglvnd-dev_1.3.2-1~ubuntu0.20.04.1_amd64.deb ... Unpacking libglvnd-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Selecting previously unselected package libgl1-mesa-dev:amd64. Preparing to unpack .../109-libgl1-mesa-dev_20.2.6-0ubuntu0.20.04.1_amd64.deb ... Unpacking libgl1-mesa-dev:amd64 (20.2.6-0ubuntu0.20.04.1) ... Selecting previously unselected package libglu1-mesa:amd64. Preparing to unpack .../110-libglu1-mesa_9.0.1-1build1_amd64.deb ... Unpacking libglu1-mesa:amd64 (9.0.1-1build1) ... Selecting previously unselected package libglu1-mesa-dev:amd64. Preparing to unpack .../111-libglu1-mesa-dev_9.0.1-1build1_amd64.deb ... Unpacking libglu1-mesa-dev:amd64 (9.0.1-1build1) ... Selecting previously unselected package x11proto-xext-dev. Preparing to unpack .../112-x11proto-xext-dev_2019.2-1ubuntu1_all.deb ... Unpacking x11proto-xext-dev (2019.2-1ubuntu1) ... Selecting previously unselected package libxext-dev:amd64. Preparing to unpack .../113-libxext-dev_2%3a1.3.4-0ubuntu1_amd64.deb ... Unpacking libxext-dev:amd64 (2:1.3.4-0ubuntu1) ... Selecting previously unselected package libice-dev:amd64. Preparing to unpack .../114-libice-dev_2%3a1.0.10-0ubuntu1_amd64.deb ... Unpacking libice-dev:amd64 (2:1.0.10-0ubuntu1) ... Selecting previously unselected package libsm-dev:amd64. Preparing to unpack .../115-libsm-dev_2%3a1.2.3-1_amd64.deb ... Unpacking libsm-dev:amd64 (2:1.2.3-1) ... Selecting previously unselected package libxt-dev:amd64. Preparing to unpack .../116-libxt-dev_1%3a1.1.5-1_amd64.deb ... Unpacking libxt-dev:amd64 (1:1.1.5-1) ... Selecting previously unselected package freeglut3-dev:amd64. Preparing to unpack .../117-freeglut3-dev_2.8.1-3_amd64.deb ... Unpacking freeglut3-dev:amd64 (2.8.1-3) ... Selecting previously unselected package libqt5concurrent5:amd64. Preparing to unpack .../118-libqt5concurrent5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5concurrent5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libavahi-common-data:amd64. Preparing to unpack .../119-libavahi-common-data_0.7-4ubuntu7_amd64.deb ... Unpacking libavahi-common-data:amd64 (0.7-4ubuntu7) ... Selecting previously unselected package libavahi-common3:amd64. Preparing to unpack .../120-libavahi-common3_0.7-4ubuntu7_amd64.deb ... Unpacking libavahi-common3:amd64 (0.7-4ubuntu7) ... Selecting previously unselected package libavahi-client3:amd64. Preparing to unpack .../121-libavahi-client3_0.7-4ubuntu7_amd64.deb ... Unpacking libavahi-client3:amd64 (0.7-4ubuntu7) ... Selecting previously unselected package libcups2:amd64. Preparing to unpack .../122-libcups2_2.3.1-9ubuntu1.1_amd64.deb ... Unpacking libcups2:amd64 (2.3.1-9ubuntu1.1) ... Selecting previously unselected package libqt5printsupport5:amd64. Preparing to unpack .../123-libqt5printsupport5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5printsupport5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5sql5:amd64. Preparing to unpack .../124-libqt5sql5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5sql5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5test5:amd64. Preparing to unpack .../125-libqt5test5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5test5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5xml5:amd64. Preparing to unpack .../126-libqt5xml5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5xml5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libvulkan-dev:amd64. Preparing to unpack .../127-libvulkan-dev_1.2.131.2-1_amd64.deb ... Unpacking libvulkan-dev:amd64 (1.2.131.2-1) ... Selecting previously unselected package qt5-qmake-bin. Preparing to unpack .../128-qt5-qmake-bin_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qt5-qmake-bin (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package qtchooser. Preparing to unpack .../129-qtchooser_66-2build1_amd64.deb ... Unpacking qtchooser (66-2build1) ... Selecting previously unselected package qt5-qmake:amd64. Preparing to unpack .../130-qt5-qmake_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qt5-qmake:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package qtbase5-dev-tools. Preparing to unpack .../131-qtbase5-dev-tools_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qtbase5-dev-tools (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package qtbase5-dev:amd64. Preparing to unpack .../132-qtbase5-dev_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qtbase5-dev:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package qt5-default:amd64. Preparing to unpack .../133-qt5-default_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qt5-default:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libxfixes-dev:amd64. Preparing to unpack .../134-libxfixes-dev_1%3a5.0.3-2_amd64.deb ... Unpacking libxfixes-dev:amd64 (1:5.0.3-2) ... Selecting previously unselected package x11proto-input-dev. Preparing to unpack .../135-x11proto-input-dev_2019.2-1ubuntu1_all.deb ... Unpacking x11proto-input-dev (2019.2-1ubuntu1) ... Selecting previously unselected package libxi-dev:amd64. Preparing to unpack .../136-libxi-dev_2%3a1.7.10-0ubuntu1_amd64.deb ... Unpacking libxi-dev:amd64 (2:1.7.10-0ubuntu1) ... Selecting previously unselected package libxmu-headers. Preparing to unpack .../137-libxmu-headers_2%3a1.1.3-0ubuntu1_all.deb ... Unpacking libxmu-headers (2:1.1.3-0ubuntu1) ... Selecting previously unselected package libxmu-dev:amd64. Preparing to unpack .../138-libxmu-dev_2%3a1.1.3-0ubuntu1_amd64.deb ... Unpacking libxmu-dev:amd64 (2:1.1.3-0ubuntu1) ... Selecting previously unselected package libilmbase24:amd64. Preparing to unpack .../139-libilmbase24_2.3.0-6build1_amd64.deb ... Unpacking libilmbase24:amd64 (2.3.0-6build1) ... Selecting previously unselected package libjxr0:amd64. Preparing to unpack .../140-libjxr0_1.1-6build1_amd64.deb ... Unpacking libjxr0:amd64 (1.1-6build1) ... Selecting previously unselected package libopenexr24:amd64. Preparing to unpack .../141-libopenexr24_2.3.0-6ubuntu0.5_amd64.deb ... Unpacking libopenexr24:amd64 (2.3.0-6ubuntu0.5) ... Selecting previously unselected package libopenjp2-7:amd64. Preparing to unpack .../142-libopenjp2-7_2.3.1-1ubuntu4.20.04.1_amd64.deb ... Unpacking libopenjp2-7:amd64 (2.3.1-1ubuntu4.20.04.1) ... Selecting previously unselected package liblcms2-2:amd64. Preparing to unpack .../143-liblcms2-2_2.9-4_amd64.deb ... Unpacking liblcms2-2:amd64 (2.9-4) ... Selecting previously unselected package libraw19:amd64. Preparing to unpack .../144-libraw19_0.19.5-1ubuntu1_amd64.deb ... Unpacking libraw19:amd64 (0.19.5-1ubuntu1) ... Selecting previously unselected package libwebpmux3:amd64. Preparing to unpack .../145-libwebpmux3_0.6.1-2ubuntu0.20.04.1_amd64.deb ... Unpacking libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) ... Selecting previously unselected package libfreeimage3:amd64. Preparing to unpack .../146-libfreeimage3_3.18.0+ds2-1ubuntu3_amd64.deb ... Unpacking libfreeimage3:amd64 (3.18.0+ds2-1ubuntu3) ... Selecting previously unselected package libfreeimage-dev. Preparing to unpack .../147-libfreeimage-dev_3.18.0+ds2-1ubuntu3_amd64.deb ... Unpacking libfreeimage-dev (3.18.0+ds2-1ubuntu3) ... Selecting previously unselected package libfreeimageplus3:amd64. Preparing to unpack .../148-libfreeimageplus3_3.18.0+ds2-1ubuntu3_amd64.deb ... Unpacking libfreeimageplus3:amd64 (3.18.0+ds2-1ubuntu3) ... Selecting previously unselected package libfreeimageplus-dev. Preparing to unpack .../149-libfreeimageplus-dev_3.18.0+ds2-1ubuntu3_amd64.deb ... Unpacking libfreeimageplus-dev (3.18.0+ds2-1ubuntu3) ... Selecting previously unselected package liblua5.3-0:amd64. Preparing to unpack .../150-liblua5.3-0_5.3.3-1.1ubuntu2_amd64.deb ... Unpacking liblua5.3-0:amd64 (5.3.3-1.1ubuntu2) ... Selecting previously unselected package libncurses-dev:amd64. Preparing to unpack .../151-libncurses-dev_6.2-0ubuntu2_amd64.deb ... Unpacking libncurses-dev:amd64 (6.2-0ubuntu2) ... Selecting previously unselected package libreadline-dev:amd64. Preparing to unpack .../152-libreadline-dev_8.0-4_amd64.deb ... Unpacking libreadline-dev:amd64 (8.0-4) ... Selecting previously unselected package liblua5.3-dev:amd64. Preparing to unpack .../153-liblua5.3-dev_5.3.3-1.1ubuntu2_amd64.deb ... Unpacking liblua5.3-dev:amd64 (5.3.3-1.1ubuntu2) ... Selecting previously unselected package lua5.3. Preparing to unpack .../154-lua5.3_5.3.3-1.1ubuntu2_amd64.deb ... Unpacking lua5.3 (5.3.3-1.1ubuntu2) ... Selecting previously unselected package argos3_simulator. Preparing to unpack .../155-argos3_simulator-3.0.0-x86_64-beta59.deb ... Unpacking argos3_simulator (3.0.0) ... Selecting previously unselected package libatspi2.0-0:amd64. Preparing to unpack .../156-libatspi2.0-0_2.36.0-2_amd64.deb ... Unpacking libatspi2.0-0:amd64 (2.36.0-2) ... Selecting previously unselected package at-spi2-core. Preparing to unpack .../157-at-spi2-core_2.36.0-2_amd64.deb ... Unpacking at-spi2-core (2.36.0-2) ... Selecting previously unselected package m4. Preparing to unpack .../158-m4_1.4.18-4_amd64.deb ... Unpacking m4 (1.4.18-4) ... Selecting previously unselected package autoconf. Preparing to unpack .../159-autoconf_2.69-11.1_all.deb ... Unpacking autoconf (2.69-11.1) ... Selecting previously unselected package autotools-dev. Preparing to unpack .../160-autotools-dev_20180224.1_all.deb ... Unpacking autotools-dev (20180224.1) ... Selecting previously unselected package automake. Preparing to unpack .../161-automake_1%3a1.16.1-4ubuntu6_all.deb ... Unpacking automake (1:1.16.1-4ubuntu6) ... Selecting previously unselected package libatk1.0-data. Preparing to unpack .../162-libatk1.0-data_2.35.1-1ubuntu2_all.deb ... Unpacking libatk1.0-data (2.35.1-1ubuntu2) ... Selecting previously unselected package libatk1.0-0:amd64. Preparing to unpack .../163-libatk1.0-0_2.35.1-1ubuntu2_amd64.deb ... Unpacking libatk1.0-0:amd64 (2.35.1-1ubuntu2) ... Selecting previously unselected package libatk-bridge2.0-0:amd64. Preparing to unpack .../164-libatk-bridge2.0-0_2.34.2-0ubuntu2~20.04.1_amd64.deb ... Unpacking libatk-bridge2.0-0:amd64 (2.34.2-0ubuntu2~20.04.1) ... Selecting previously unselected package libcolord2:amd64. Preparing to unpack .../165-libcolord2_1.4.4-2_amd64.deb ... Unpacking libcolord2:amd64 (1.4.4-2) ... Selecting previously unselected package libdpkg-perl. Preparing to unpack .../166-libdpkg-perl_1.19.7ubuntu3_all.deb ... Unpacking libdpkg-perl (1.19.7ubuntu3) ... Selecting previously unselected package libepoxy0:amd64. Preparing to unpack .../167-libepoxy0_1.5.4-1_amd64.deb ... Unpacking libepoxy0:amd64 (1.5.4-1) ... Selecting previously unselected package libfile-fcntllock-perl. Preparing to unpack .../168-libfile-fcntllock-perl_0.22-3build4_amd64.deb ... Unpacking libfile-fcntllock-perl (0.22-3build4) ... Selecting previously unselected package libgdk-pixbuf2.0-bin. Preparing to unpack .../169-libgdk-pixbuf2.0-bin_2.40.0+dfsg-3ubuntu0.2_amd64.deb ... Unpacking libgdk-pixbuf2.0-bin (2.40.0+dfsg-3ubuntu0.2) ... Selecting previously unselected package libsoup-gnome2.4-1:amd64. Preparing to unpack .../170-libsoup-gnome2.4-1_2.70.0-1_amd64.deb ... Unpacking libsoup-gnome2.4-1:amd64 (2.70.0-1) ... Selecting previously unselected package librest-0.7-0:amd64. Preparing to unpack .../171-librest-0.7-0_0.8.1-1_amd64.deb ... Unpacking librest-0.7-0:amd64 (0.8.1-1) ... Selecting previously unselected package libwayland-cursor0:amd64. Preparing to unpack .../172-libwayland-cursor0_1.18.0-1_amd64.deb ... Unpacking libwayland-cursor0:amd64 (1.18.0-1) ... Selecting previously unselected package libwayland-egl1:amd64. Preparing to unpack .../173-libwayland-egl1_1.18.0-1_amd64.deb ... Unpacking libwayland-egl1:amd64 (1.18.0-1) ... Selecting previously unselected package libxcursor1:amd64. Preparing to unpack .../174-libxcursor1_1%3a1.2.0-2_amd64.deb ... Unpacking libxcursor1:amd64 (1:1.2.0-2) ... Selecting previously unselected package libgtk-3-common. Preparing to unpack .../175-libgtk-3-common_3.24.20-0ubuntu1_all.deb ... Unpacking libgtk-3-common (3.24.20-0ubuntu1) ... Selecting previously unselected package libgtk-3-0:amd64. Preparing to unpack .../176-libgtk-3-0_3.24.20-0ubuntu1_amd64.deb ... Unpacking libgtk-3-0:amd64 (3.24.20-0ubuntu1) ... Selecting previously unselected package libgtk-3-bin. Preparing to unpack .../177-libgtk-3-bin_3.24.20-0ubuntu1_amd64.deb ... Unpacking libgtk-3-bin (3.24.20-0ubuntu1) ... Selecting previously unselected package libltdl-dev:amd64. Preparing to unpack .../178-libltdl-dev_2.4.6-14_amd64.deb ... Unpacking libltdl-dev:amd64 (2.4.6-14) ... Selecting previously unselected package libqt5opengl5:amd64. Preparing to unpack .../179-libqt5opengl5_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5opengl5-dev:amd64. Preparing to unpack .../180-libqt5opengl5-dev_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5opengl5-dev:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libqt5sql5-sqlite:amd64. Preparing to unpack .../181-libqt5sql5-sqlite_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking libqt5sql5-sqlite:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package libtool. Preparing to unpack .../182-libtool_2.4.6-14_all.deb ... Unpacking libtool (2.4.6-14) ... Selecting previously unselected package libtool-bin. Preparing to unpack .../183-libtool-bin_2.4.6-14_amd64.deb ... Unpacking libtool-bin (2.4.6-14) ... Selecting previously unselected package libwacom-bin. Preparing to unpack .../184-libwacom-bin_1.3-2ubuntu3_amd64.deb ... Unpacking libwacom-bin (1.3-2ubuntu3) ... Selecting previously unselected package make. Preparing to unpack .../185-make_4.2.1-1.2_amd64.deb ... Unpacking make (4.2.1-1.2) ... Selecting previously unselected package manpages-dev. Preparing to unpack .../186-manpages-dev_5.05-1_all.deb ... Unpacking manpages-dev (5.05-1) ... Selecting previously unselected package pkg-config. Preparing to unpack .../187-pkg-config_0.29.1-0ubuntu4_amd64.deb ... Unpacking pkg-config (0.29.1-0ubuntu4) ... Selecting previously unselected package qt5-gtk-platformtheme:amd64. Preparing to unpack .../188-qt5-gtk-platformtheme_5.12.8+dfsg-0ubuntu1_amd64.deb ... Unpacking qt5-gtk-platformtheme:amd64 (5.12.8+dfsg-0ubuntu1) ... Selecting previously unselected package qttranslations5-l10n. Preparing to unpack .../189-qttranslations5-l10n_5.12.8-0ubuntu1_all.deb ... Unpacking qttranslations5-l10n (5.12.8-0ubuntu1) ... Setting up libgraphite2-3:amd64 (1.3.13-11build1) ... Setting up liblcms2-2:amd64 (2.9-4) ... Setting up libpixman-1-0:amd64 (0.38.4-0ubuntu1) ... Setting up libwayland-server0:amd64 (1.18.0-1) ... Setting up manpages-dev (5.05-1) ... Setting up fontconfig (2.13.1-2ubuntu3) ... Regenerating fonts cache... done. Setting up libdouble-conversion3:amd64 (3.1.5-4ubuntu1) ... Setting up libvulkan-dev:amd64 (1.2.131.2-1) ... Setting up freeglut3:amd64 (2.8.1-3) ... Setting up hicolor-icon-theme (0.17-2) ... Setting up libxcb-xinput0:amd64 (1.14-2) ... Setting up libdatrie1:amd64 (0.2.12-3) ... Setting up libgbm1:amd64 (20.2.6-0ubuntu0.20.04.1) ... Setting up libfile-fcntllock-perl (0.22-3build4) ... Setting up libxcb-render0:amd64 (1.14-2) ... Setting up libjxr0:amd64 (1.1-6build1) ... Setting up libxcursor1:amd64 (1:1.2.0-2) ... Setting up libgdk-pixbuf2.0-common (2.40.0+dfsg-3ubuntu0.2) ... Setting up lua5.3 (5.3.3-1.1ubuntu2) ... update-alternatives: using /usr/bin/lua5.3 to provide /usr/bin/lua (lua-interpreter) in auto mode update-alternatives: using /usr/bin/luac5.3 to provide /usr/bin/luac (lua-compiler) in auto mode Setting up libxcb-keysyms1:amd64 (0.4.0-1build1) ... Setting up binutils-common:amd64 (2.34-6ubuntu1.1) ... Setting up linux-libc-dev:amd64 (5.4.0-74.83) ... Setting up libctf-nobfd0:amd64 (2.34-6ubuntu1.1) ... Setting up m4 (1.4.18-4) ... Setting up libxcb-render-util0:amd64 (0.3.9-1build1) ... Setting up libxcb-shm0:amd64 (1.14-2) ... Setting up libxcb-icccm4:amd64 (0.4.1-1.1) ... Setting up libatspi2.0-0:amd64 (2.36.0-2) ... Setting up libgomp1:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libpthread-stubs0-dev:amd64 (0.4-1) ... Setting up libilmbase24:amd64 (2.3.0-6build1) ... Setting up libjbig0:amd64 (2.1-3.1build1) ... Setting up libcairo2:amd64 (1.16.0-4ubuntu1) ... Setting up libpcre2-16-0:amd64 (10.34-7) ... Setting up libcolord2:amd64 (1.4.4-2) ... Setting up libopengl0:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libxcb-util1:amd64 (0.4.0-0ubuntu3) ... Setting up libxcb-xkb1:amd64 (1.14-2) ... Setting up libxcb-image0:amd64 (0.4.0-1build1) ... Setting up xtrans-dev (1.4.0-1) ... Setting up autotools-dev (20180224.1) ... Setting up libegl-mesa0:amd64 (20.2.6-0ubuntu0.20.04.1) ... Setting up libxcb-xinerama0:amd64 (1.14-2) ... Setting up libopenexr24:amd64 (2.3.0-6ubuntu0.5) ... Setting up libgles2:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up qttranslations5-l10n (5.12.8-0ubuntu1) ... Setting up qt5-qmake-bin (5.12.8+dfsg-0ubuntu1) ... Setting up make (4.2.1-1.2) ... Setting up libepoxy0:amd64 (1.5.4-1) ... Setting up libavahi-common-data:amd64 (0.7-4ubuntu7) ... Setting up libgles1:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libquadmath0:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libfreeimageplus3:amd64 (3.18.0+ds2-1ubuntu3) ... Setting up libmpc3:amd64 (1.1.0-1) ... Setting up libatomic1:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libwebp6:amd64 (0.6.1-2ubuntu0.20.04.1) ... Setting up libjpeg-turbo8:amd64 (2.0.3-0ubuntu1.20.04.1) ... Setting up libqt5core5a:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libdpkg-perl (1.19.7ubuntu3) ... Setting up libmtdev1:amd64 (1.1.5-1.1) ... Setting up autoconf (2.69-11.1) ... Setting up libubsan1:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libatk1.0-data (2.35.1-1ubuntu2) ... Setting up at-spi2-core (2.36.0-2) ... Setting up libqt5dbus5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up librhash0:amd64 (1.3.9-1) ... Setting up libcrypt-dev:amd64 (1:4.4.10-10ubuntu4) ... Setting up libwayland-cursor0:amd64 (1.18.0-1) ... Setting up liblua5.3-0:amd64 (5.3.3-1.1ubuntu2) ... Setting up libegl1:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libopenjp2-7:amd64 (2.3.1-1ubuntu4.20.04.1) ... Setting up libharfbuzz0b:amd64 (2.6.4-1ubuntu4) ... Setting up libthai-data (0.1.28-3) ... Setting up libisl22:amd64 (0.22.1-1) ... Setting up xorg-sgml-doctools (1:1.11-1) ... Setting up libcairo-gobject2:amd64 (1.16.0-4ubuntu1) ... Setting up cmake-data (3.16.3-1ubuntu1) ... Setting up libatk1.0-0:amd64 (2.35.1-1ubuntu2) ... Setting up libglu1-mesa:amd64 (9.0.1-1build1) ... Setting up libwayland-egl1:amd64 (1.18.0-1) ... Setting up libopengl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libbinutils:amd64 (2.34-6ubuntu1.1) ... Setting up libsoup-gnome2.4-1:amd64 (2.70.0-1) ... Setting up libc-dev-bin (2.31-0ubuntu9.2) ... Setting up libqt5test5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libwebpmux3:amd64 (0.6.1-2ubuntu0.20.04.1) ... Setting up libevdev2:amd64 (1.9.0+dfsg-1ubuntu0.1) ... Setting up libqt5concurrent5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libcc1-0:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up liblsan0:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up qtchooser (66-2build1) ... Setting up libgtk-3-common (3.24.20-0ubuntu1) ... Setting up libitm1:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libjsoncpp1:amd64 (1.7.4-3.1ubuntu2) ... Setting up gcc-9-base:amd64 (9.3.0-17ubuntu1~20.04) ... Setting up libwacom-common (1.3-2ubuntu3) ... Setting up libtsan0:amd64 (10.2.0-5ubuntu1~20.04) ... Setting up libxkbcommon0:amd64 (0.10.0-1) ... Setting up libctf0:amd64 (2.34-6ubuntu1.1) ... Setting up libjpeg8:amd64 (8c-2ubuntu8) ... Setting up automake (1:1.16.1-4ubuntu6) ... update-alternatives: using /usr/bin/automake-1.16 to provide /usr/bin/automake (automake) in auto mode Setting up x11proto-dev (2019.2-1ubuntu1) ... Setting up librest-0.7-0:amd64 (0.8.1-1) ... Setting up libxau-dev:amd64 (1:1.0.9-0ubuntu1) ... Setting up qt5-qmake:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libice-dev:amd64 (2:1.0.10-0ubuntu1) ... Setting up libsm-dev:amd64 (2:1.2.3-1) ... Setting up libavahi-common3:amd64 (0.7-4ubuntu7) ... Setting up libraw19:amd64 (0.19.5-1ubuntu1) ... Setting up libqt5network5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libqt5sql5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libatk-bridge2.0-0:amd64 (2.34.2-0ubuntu2~20.04.1) ... Setting up libltdl-dev:amd64 (2.4.6-14) ... Setting up libthai0:amd64 (0.1.28-3) ... Setting up qtbase5-dev-tools (5.12.8+dfsg-0ubuntu1) ... Setting up libasan5:amd64 (9.3.0-17ubuntu1~20.04) ... Setting up libxdmcp-dev:amd64 (1:1.1.3-0ubuntu1) ... Setting up libqt5xml5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up x11proto-core-dev (2019.2-1ubuntu1) ... Setting up libxkbcommon-x11-0:amd64 (0.10.0-1) ... Setting up x11proto-input-dev (2019.2-1ubuntu1) ... Setting up pkg-config (0.29.1-0ubuntu4) ... Setting up x11proto-xext-dev (2019.2-1ubuntu1) ... Setting up cmake (3.16.3-1ubuntu1) ... Setting up cpp-9 (9.3.0-17ubuntu1~20.04) ... Setting up libc6-dev:amd64 (2.31-0ubuntu9.2) ... Setting up libtiff5:amd64 (4.1.0+git191117-2ubuntu0.20.04.1) ... Setting up libwacom2:amd64 (1.3-2ubuntu3) ... Setting up libavahi-client3:amd64 (0.7-4ubuntu7) ... Setting up binutils-x86-64-linux-gnu (2.34-6ubuntu1.1) ... Setting up libfreeimage3:amd64 (3.18.0+ds2-1ubuntu3) ... Setting up libncurses-dev:amd64 (6.2-0ubuntu2) ... Setting up libxcb1-dev:amd64 (1.14-2) ... Setting up libqt5sql5-sqlite:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libpango-1.0-0:amd64 (1.44.7-2ubuntu4) ... Setting up libx11-dev:amd64 (2:1.6.9-2ubuntu1.2) ... Setting up binutils (2.34-6ubuntu1.1) ... Setting up libreadline-dev:amd64 (8.0-4) ... Setting up libinput-bin (1.15.5-1ubuntu0.2) ... Setting up libxfixes-dev:amd64 (1:5.0.3-2) ... Setting up libgcc-9-dev:amd64 (9.3.0-17ubuntu1~20.04) ... Setting up libxt-dev:amd64 (1:1.1.5-1) ... Setting up libgdk-pixbuf2.0-0:amd64 (2.40.0+dfsg-3ubuntu0.2) ... Setting up libxext-dev:amd64 (2:1.3.4-0ubuntu1) ... Setting up libwacom-bin (1.3-2ubuntu3) ... Setting up libcups2:amd64 (2.3.1-9ubuntu1.1) ... Setting up libgdk-pixbuf2.0-bin (2.40.0+dfsg-3ubuntu0.2) ... Setting up cpp (4:9.3.0-1ubuntu2) ... Setting up libglx-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libpangoft2-1.0-0:amd64 (1.44.7-2ubuntu4) ... Setting up libxi-dev:amd64 (2:1.7.10-0ubuntu1) ... Setting up libgl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libpangocairo-1.0-0:amd64 (1.44.7-2ubuntu4) ... Setting up libfreeimage-dev (3.18.0+ds2-1ubuntu3) ... Setting up libinput10:amd64 (1.15.5-1ubuntu0.2) ... Setting up gcc-9 (9.3.0-17ubuntu1~20.04) ... Setting up gtk-update-icon-cache (3.24.20-0ubuntu1) ... Setting up libxmu-headers (2:1.1.3-0ubuntu1) ... Setting up liblua5.3-dev:amd64 (5.3.3-1.1ubuntu2) ... Setting up libstdc++-9-dev:amd64 (9.3.0-17ubuntu1~20.04) ... Setting up libfreeimageplus-dev (3.18.0+ds2-1ubuntu3) ... Setting up libegl-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libtool (2.4.6-14) ... Setting up libqt5gui5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libqt5widgets5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libxmu-dev:amd64 (2:1.1.3-0ubuntu1) ... Setting up gcc (4:9.3.0-1ubuntu2) ... Setting up librsvg2-2:amd64 (2.48.9-1ubuntu0.20.04.1) ... Setting up libqt5printsupport5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libglu1-mesa-dev:amd64 (9.0.1-1build1) ... Setting up g++-9 (9.3.0-17ubuntu1~20.04) ... Setting up librsvg2-common:amd64 (2.48.9-1ubuntu0.20.04.1) ... Setting up qtbase5-dev:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up g++ (4:9.3.0-1ubuntu2) ... update-alternatives: using /usr/bin/g++ to provide /usr/bin/c++ (c++) in auto mode Setting up libqt5opengl5:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up qt5-default:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libgles-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up libtool-bin (2.4.6-14) ... Setting up libqt5opengl5-dev:amd64 (5.12.8+dfsg-0ubuntu1) ... Setting up libqt5svg5:amd64 (5.12.8-0ubuntu1) ... Setting up libglvnd-dev:amd64 (1.3.2-1~ubuntu0.20.04.1) ... Setting up freeglut3-dev:amd64 (2.8.1-3) ... Setting up libgl1-mesa-dev:amd64 (20.2.6-0ubuntu0.20.04.1) ... Setting up argos3_simulator (3.0.0) ... Setting up adwaita-icon-theme (3.36.1-2ubuntu0.20.04.2) ... update-alternatives: using /usr/share/icons/Adwaita/cursor.theme to provide /usr/share/icons/default/index.theme (x-cursor-theme) in auto mode Setting up humanity-icon-theme (0.6.15) ... Setting up ubuntu-mono (19.04-0ubuntu3) ... Processing triggers for man-db (2.9.1-1) ... Processing triggers for shared-mime-info (1.15-1) ... Processing triggers for install-info (6.7.0.dfsg.2-5) ... Processing triggers for mime-support (3.64ubuntu1) ... Processing triggers for libglib2.0-0:amd64 (2.64.6-1~ubuntu20.04.3) ... Setting up libgtk-3-0:amd64 (3.24.20-0ubuntu1) ... Processing triggers for libc-bin (2.31-0ubuntu9.2) ... Setting up libgtk-3-bin (3.24.20-0ubuntu1) ... Setting up qt5-gtk-platformtheme:amd64 (5.12.8+dfsg-0ubuntu1) ... Processing triggers for libgdk-pixbuf2.0-0:amd64 (2.40.0+dfsg-3ubuntu0.2) ... loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$

pincy
Site Admin
Posts: 540
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: Installation of Argos on Ubuntu-WSL

Postby pincy » Fri Jun 18, 2021 1:41 am

That looks like a successful installation. Test it with the following command, if you get no errors, ARGoS is installed correctly:

Code: Select all

argos3 -q all
I made ARGoS.

lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Re: Installation of Argos on Ubuntu-WSL

Postby lomak » Fri Jun 18, 2021 1:21 pm

Did it install?

Code: Select all

loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32$ argos3 -q all [INFO] Loaded library "/usr/lib/argos3/libargos3core_simulator.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_qtopengl.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_entities.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_footbot.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_spiri.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_pointmass3d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_dynamics2d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_media.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_epuck.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_prototype.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_genericrobot.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_dynamics3d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_eyebot.so" AVAILABLE ACTUATORS [ differential_steering (default) ] The differential steering actuator. [ directional_leds (default) ] The directional LEDs actuator. [ footbot_distance_scanner (default) ] The foot-bot distance scanner actuator. [ footbot_gripper (default) ] The footbot gripper actuator. [ footbot_turret (default) ] The foot-bot turret actuator. [ gripper (default) ] The Gripper actuator. [ joints (default) ] The prototype joints actuator: controls a prototype entity's joints. [ leds (default) ] The LEDs actuator. [ magnets (default) ] The (electro)magnet actuator. [ quadrotor_position (default) ] The quadrotor position actuator. [ quadrotor_speed (default) ] The quadrotor speed actuator. [ radios (default) ] A generic radio actuator to send messages to nearby radios. [ range_and_bearing (default) ] The range and bearing actuator. [ tags (default) ] The tags actuator. AVAILABLE SENSORS [ battery (default) ] A generic battery level sensor. [ cameras (default) ] A generic multi-camera sensor capable of running various algorithms [ colored_blob_omnidirectional_camera (rot_z_only) ] A generic omnidirectional camera sensor to detect colored blobs. [ colored_blob_perspective_camera (default) ] A generic perspective camera sensor to detect colored blobs. [ differential_steering (default) ] A generic differential steering sensor. [ epuck_proximity (default) ] The E-Puck proximity sensor. [ eyebot_light (rot_z_only) ] The eye-bot light sensor (optimized for 2D). [ eyebot_proximity (default) ] The eye-bot proximity sensor. [ footbot_base_ground (rot_z_only) ] The foot-bot base ground sensor. [ footbot_distance_scanner (rot_z_only) ] The foot-bot distance scanner sensor (optimized for 2D). [ footbot_light (rot_z_only) ] The foot-bot light sensor (optimized for 2D). [ footbot_motor_ground (rot_z_only) ] The foot-bot motor ground sensor. [ footbot_proximity (default) ] The foot-bot proximity sensor. [ footbot_turret_encoder (default) ] The foot-bot turret encoder sensor. [ ground (rot_z_only) ] A generic ground sensor (optimized for 2D). [ joints (default) ] The prototype joints sensor: monitors a prototype entity's joints. [ light (default) ] A generic light sensor. [ positioning (default) ] A generic positioning sensor. [ proximity (default) ] A generic proximity sensor. [ radios (default) ] A generic radio sensor to receive messages from nearby radios. [ range_and_bearing (medium) ] The range-and-bearing sensor. AVAILABLE PHYSICS ENGINES [ dynamics2d ] A 2D dynamics physics engine. [ dynamics3d ] A 3D dynamics physics engine [ pointmass3d ] A 3D point-mass physics engine. AVAILABLE MEDIA [ directional_led ] Manages directional LED entities. [ led ] Manages the LEDs. [ radio ] Enables communication between a radio actuator and radio sensor. [ range_and_bearing ] It simulates the communication across range-and-bearing-equipped robots. [ tag ] Manages tag entities. AVAILABLE VISUALIZATIONS [ qt-opengl ] An interactive graphical renderer based on Qt and OpenGL. AVAILABLE ENTITIES [ box ] A stretchable 3D box. [ cylinder ] A stretchable cylinder. [ e-puck ] The e-puck robot. [ eye-bot ] The eye-bot robot, developed in the Swarmanoid project. [ floor ] It contains the properties of the arena floor. [ foot-bot ] The foot-bot robot, developed in the Swarmanoid project. [ light ] A colored light. [ prototype ] A generic and configurable entity [ spiri ] The spiri robot, developed by Pleiades Robotics.

lomak
Posts: 11
Joined: Tue Jun 15, 2021 2:14 pm

Re: Installation of Argos on Ubuntu-WSL

Postby lomak » Fri Jun 18, 2021 4:27 pm

I have installed Xming but i have some issue to run the examples.

Code: Select all

loic@LAPTOP-G9DE66PK:/mnt/c/Windows/system32/Argos/argos3-examples$ argos3 -c experiments/diffusion_10.argos [INFO] Loaded library "/usr/lib/argos3/libargos3core_simulator.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_qtopengl.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_entities.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_footbot.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_spiri.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_pointmass3d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_dynamics2d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_media.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_epuck.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_prototype.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_genericrobot.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_dynamics3d.so" [INFO] Loaded library "/usr/lib/argos3/libargos3plugin_simulator_eyebot.so" [INFO] Not using threads [INFO] Using random seed = 124 [INFO] Using simulation clock tick = 0.1 [INFO] Total experiment length in clock ticks = unlimited [INFO] Loaded library "./build/controllers/footbot_diffusion/libfootbot_diffusion.so" qt.qpa.xcb: could not connect to display qt.qpa.plugin: Could not load the Qt platform plugin "xcb" in "" even though it was found. This application failed to start because no Qt platform plugin could be initialized. Reinstalling the application may fix this problem. Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, vnc, xcb.

pincy
Site Admin
Posts: 540
Joined: Thu Mar 08, 2012 8:04 pm
Location: Boston, MA
Contact:

Re: Installation of Argos on Ubuntu-WSL

Postby pincy » Fri Jun 18, 2021 5:27 pm

ARGoS is installed correctly. The subsequent error is related to Qt support on WSL, and the error message is printed by Qt. I think this is as far as I can go, for what concerns ARGoS.

If you copy-paste the error on Google, you'll find many solutions. They are all related to installation and configuration issues of Qt. Have a look here, for example.

My suggestion is to install Ubuntu natively on your system and install ARGoS there. ARGoS was not designed to be used under Windows, and WSL has its own problems.
I made ARGoS.


Return to “How to... ?”



cron